<?php

require(__DIR__."/prepared.php");

/* Чистка БД */

// Удаление старых сообщений чата
Comments::DelOldMess(0, 0, time() - 3600 * 24 * 25);
// Очистка лога о пополнених
$stmt = $connect->prepare("delete from `plus` where `status` = '0' and `time` < :date");
$stmt->bindValue(':date', time() - 3600 * 24, PDO::PARAM_INT);
$stmt->execute();
// Очистка уведомлений
$stmt = $connect->prepare("delete from `notifications` where `new` = '0' and `time` < :date");
$stmt->bindValue(':date', time() - 3600 * 24 * 25, PDO::PARAM_INT);
$stmt->execute();
// Очистка authlog
$stmt = $connect->prepare("delete from `authlog` where `status` = '0' and `time` < :date");
$stmt->bindValue(':date', time() - 3600 * 24 * 75, PDO::PARAM_INT);
$stmt->execute();
// Очистка Speedpass
$stmt = $connect->prepare("delete from `speedpass` where `time` < :date");
$stmt->bindValue(':date', time() - 3600 * $sys['system']['hsp'], PDO::PARAM_INT);
$stmt->execute();

/* Счетчики модулей */

$c_mod_pp = $connect->query("select count(*) from `pp_link` where `status` = '3'")->fetchColumn();
$new_mod_pp = $c_mod_pp > 0 ? '<span class="wa-span-red">+'.$c_mod_pp.'</span>' : '';

// Speedpass
$count_sp = $connect->query("select count(*) from `speedpass`")->fetchColumn(); 

// Логи пополнений
$count_paylog = $connect->query("select count(*) from `plus`")->fetchColumn();
// Кол-во заявок на вывод
$stmt_payment_c = $connect->prepare("select count(*) from `payment` where `status` = ?");
$stmt_payment_c->execute(array(0));
$count_payment = $stmt_payment_c->fetchColumn();
$new_payment = $count_payment > 0 ? '<span class="wa-span-red">+'.$count_payment.'</span>' : '';
$stmt_payment_c->execute(array(1));
$yes_payment = $stmt_payment_c->fetchColumn();
$stmt_payment_c->execute(array(2));
$no_payment = $stmt_payment_c->fetchColumn();
$all_payment = $count_payment + $yes_payment + $no_payment;
// Всего выплачено
$sum_payment = $connect->query("select sum(`money`) from `payment` where `status` = '1'")->fetchColumn() ?? 0;
// Рейтинг по выплатам
$rate_payment = $connect->query("select count(distinct `uid`) from `payment` where `status` = '1'")->fetchColumn();

// Кол-во новостей
$count_news = $connect->query("select count(*) from `news`")->fetchColumn();
// Последние новости
$stmt_newss = $connect->prepare("select count(*) from `news` where `time` > :time");
$stmt_newss->bindValue(':time', mktime(0, 0, 0), PDO::PARAM_INT);
$stmt_newss->execute();
$c_newss = $stmt_newss->fetchColumn();
$newss = $c_newss > 0 ? '+'.$c_newss : '';

// Кол-во пользователей
$count_users = $connect->query("select count(*) from `users`")->fetchColumn();
// Кол-во зарегистрированных пользователей сегодня
$stmt_users_new = $connect->prepare("select count(*) from `users` where `datereg` > :datereg");
$stmt_users_new->bindValue(':datereg', mktime(0, 0, 0), PDO::PARAM_INT);
$stmt_users_new->execute();
$count_users_new = $stmt_users_new->fetchColumn();
// Команда сайта
$count_team_user = $connect->query("select count(*) from `users` where `admin` != '0'")->fetchColumn();
// Кол-во заблокированных пользователей
$stmt_ban_user = $connect->prepare("select count(*) from `users` where `ban` > :time");
$stmt_ban_user->bindValue(':time', time(), PDO::PARAM_INT);
$stmt_ban_user->execute();
$count_ban_user = $stmt_ban_user->fetchColumn();
// Деньги у юзеров
$money_users = $connect->query("select sum(`money`) from `users` where `admin` != '1'")->fetchColumn() ?? 0;

// Кол-во пользователей онлайн
$stmt_online = $connect->prepare("select count(distinct `uid`) from `authlog` where `status` = '1' and `lasttime` > :time");
$stmt_online->bindValue(':time', time() - 300, PDO::PARAM_INT);
$stmt_online->execute();
$count_online_user = $stmt_online->fetchColumn();
// Заходило сегодня
$stmt_day = $connect->prepare("select count(distinct `uid`) from `authlog` where `lasttime` > :time");
$stmt_day->bindValue(':time', mktime(0, 0, 0), PDO::PARAM_INT);
$stmt_day->execute();
$count_day_user = $stmt_day->fetchColumn();

if (isset($active)) {

    // авторизации юзера
    $stmt_auth->execute(array($user['id']));
    $count_auth = $stmt_auth->fetchColumn();

    // черный список
    $stmt_black->execute(array($user['id']));
    $count_black = $stmt_black->fetchColumn();

    // уведомления
    $stmt_not = $connect->prepare("select count(*) from `notifications` where `uid` = ?");
    $stmt_not->execute(array($user['id']));
    $not = $stmt_not->fetchColumn();
    // Новые уведомления
    $stmt_new_not = $connect->prepare("select count(*) from `notifications` where `new` = '1' and `uid` = ?");
    $stmt_new_not->execute(array($user['id']));
    $c_new_not = $stmt_new_not->fetchColumn();
    $new_not = $c_new_not > 0 ? ($c_new_not < 100 ? '+'.$c_new_not : '99+') : '';

    // друзья юзера
    $stmt_friends->bindValue(':user', $user['id'], PDO::PARAM_INT);
    $stmt_friends->execute();
    $count_friends = $stmt_friends->fetchColumn();
    // заявки в друзья
    $stmt_req = $connect->prepare("select count(*) from `friend` where `status` = '0' and `to` = ?");
    $stmt_req->execute(array($user['id']));
    $count_req = $stmt_req->fetchColumn();
    $new_req = $count_req > 0 ? ($count_req < 100 ? '+'.$count_req : '99+') : '';

    // Кол-во цепочек писем
    $stmt_mess = $connect->prepare("select count(*) from `contacts` where `from` = :uid or `to` = :uid");
    $stmt_mess->bindValue(':uid', $user['id'], PDO::PARAM_INT);
    $stmt_mess->execute();
    $count_mess = $stmt_mess->fetchColumn();
    // Сообщения
    $count_mail = $connect->prepare("select count(*) from `mail` where `from` = :uid or `to` = :uid");
    $count_mail->bindValue(':uid', $user['id'], PDO::PARAM_INT);
    $count_mail->execute();
    $count_mail = $count_mail->fetchColumn();
    $c_new_mail = $connect->prepare("select count(*) from `mail` where `read` = '0' and `to` = ?");
    $c_new_mail->execute(array($user['id']));
    $c_new_mail = $c_new_mail->fetchColumn();
    $new_mail = $c_new_mail > 0 ? ($c_new_mail < 100 ? '+'.$c_new_mail : '99+') : '';

    // Кол-во сообщений чата
    $count_chat = Comments::CountMess(0, 0);
    // Новые сообщения чата
    $chatlog = $user['chatlog'] > mktime(0, 0, 0) ? $user['chatlog'] : mktime(0, 0, 0);
    $c_new_chat = Comments::NewMess(0, 0, $chatlog, $user['id']);
    $new_chat = $c_new_chat > 0 ? ($c_new_chat < 100 ? '+'.$c_new_chat : '99+') : '';

    // Выплачено юзеру
    $stmt_user_payment->execute(array($user['id']));
    $user_payment = $stmt_user_payment->fetchColumn() ?? 0;
    // заявок
    $stmt_count_up->execute(array($user['id']));
    $c_user_payment = $stmt_count_up->fetchColumn();

    // Пополнено юзером
    $stmt_user_plus->execute(array(0, $user['id']));
    $user_plus = $stmt_user_plus->fetchColumn() ?? 0;
    // заявок
    $stmt_count_upl->execute(array(0, $user['id']));
    $c_user_plus = $stmt_count_upl->fetchColumn();

    $counters_adm = ($adm_id == 1 ? $count_payment : 0) + ($adm_id == 1 ? $c_mod_pp : 0) + ($adm_id == 1 ? $c_mod_ps : 0);

    $new_adm = $counters_adm > 0 ? ($counters_adm < 100 ? '<span class="wa-span-red">+'.$counters_adm.'</span>' : '<span class="wa-span-red">99+</span>') : '';

}